For Solaris with old gcc versions (that don't understand